osl::GenerateAllMoves Struct Reference

`#include <allMoves.h>`

## Static Public Member Functions

static void | generate (Player p, const NumEffectState &state, MoveVector &)
template<Player P>
static void | generate (const NumEffectState &state, MoveVector &out)
template<Player P>
static void | generateOnBoard (const NumEffectState &state, MoveVector &out)

## Detailed Description

Definition at line 45 of file allMoves.h.

## Member Function Documentation

## generate() [1/2]

template<Player P>

void osl::GenerateAllMoves::generate | ( | const NumEffectState & | state,
|  | MoveVector & | out )

inline static

Definition at line 49 of file allMoves.h.

References osl::move_generator::AllMoves< Action >::generate().

## generate() [2/2]

void osl::GenerateAllMoves::generate | ( | Player | p,
|  | const NumEffectState & | state,
|  | MoveVector & | out )

static

Definition at line 14 of file allMoves.cc.

References osl::move_generator::AllMoves< Action >::generate().

Referenced by osl::NumEffectState::generateLegal(), and osl::rating::FeatureSet::generateRating().

## generateOnBoard()

template<Player P>

void osl::GenerateAllMoves::generateOnBoard | ( | const NumEffectState & | state,
|  | MoveVector & | out )

inline static

Definition at line 56 of file allMoves.h.

References osl::move_generator::AllMoves< Action >::generateOnBoard().

The documentation for this struct was generated from the following files:

- allMoves.h
- allMoves.cc